﻿// TRANSLATED FROM PAPER.JS examples/Animated/RoundedRectangles.html
package
{
	import flash.display.Shape;
	import flash.display.Sprite;
	import flash.events.Event;
	import flash.geom.Matrix;
	import flash.geom.Point;
	public class Rounder extends Sprite
	{
		private var colors:Array = new Array(0x00CCFC,0x000000,0x0000,0xffffff);
		private var angle:uint = 0;
		public function Rounder()
		{
			addEventListener(Event.ADDED_TO_STAGE, addedHandler);	
		}
		private function addedHandler(e:Event):void
		{
			for(var i:Number = 0;i<25;i++){
				var rect:Shape = new Shape();
				rect.graphics.beginFill(colors[i%4]);
				//Derniere modification_correspond à la largeur des traits
				rect.graphics.drawRoundRect(-12,-12,24,240,15,15);
				rect.graphics.endFill();
				rect.scaleX  = rect.scaleX = (1-i/25)*20;
				addChild(rect);
			}
			addEventListener(Event.ENTER_FRAME,enterHandler);
		}
		private function enterHandler(e:Event):void
		{
			var i:uint = 0;
			while(i<numChildren)
			{
				var rect:Shape = getChildAt(i) as Shape;
				var distPoint:Point = new Point((rect.x-mouseX)/(i + 5),(rect.y-mouseY)/(i + 5));
				var distance:Number = Math.sqrt(distPoint.x*distPoint.x + distPoint.y*distPoint.y);
				rect.rotation = Math.sin((angle+i)/150)*307;
				if(distance>10.1){
					rect.x-=distPoint.x;
					rect.y-=distPoint.y;
				}
				i++;
			}
			angle++;
		}
	}
}